Subject: Re: bug#12696: 24.2.50; epa bug with gpg-agent

From: Daiki Ueno <[email-masked]>
Date: Tue, 13 Nov 2012 14:53:08 +0900

Richard Stallman <[email-masked]> writes:

> I resend this hoping your email account is working now.

Oops, sorry.  It seems that I sent the reply with a wrong From: address.
I often manually rewrite it when sending, to select SMTP server.

>     Are you sure that you successfully preset the passphrase for this key?
>     If so, how did you do that?
>
> I use the script below to start Emacs.  gpg gives me an error if I
> don't enter the passphrase correctly, and asks again.  Thus, when gpg
> exits and lets emacs start, I know the passphrase is correct.
>
> #!/bin/sh
>
> eval `gpg-agent --daemon`
> gpg --use-agent --output /dev/null --sign /dev/null > /dev/null
>
> emacs -f normal-start

>From the output of M-x epa-list-keys, it looks like you have two keys
set up (one is DSA used for signing and one is ElGamal used for
encryption):

 - Richard Stallman (Chief GNUisance) <[email-masked]>
 - 624DC565135EA668 1024bits DSA
	Created: 2001-03-05
	Capabilities: sign certify authentication
	Fingerprint: 6F818B215E159EF3FA26B0BE624DC565135EA668
 - 879A7C37B1B10ED6 1024bits ELGAMAL_E
	Created: 2001-03-05
	Capabilities: encrypt
	Fingerprint: 04C26DD3834A1AB3A3CAB2D4879A7C37B1B10ED6

So you probably need to let gpg-agent remember both.

#!/bin/sh

eval `gpg-agent --daemon`
gpg --use-agent --output /dev/null --sign /dev/null > /dev/null
gpg -r -B1B10ED6 -encrypt < /dev/null | gpg --use-agent --output /dev/null > /dev/null

emacs -f normal-start

Regards,
-- 
Daiki Ueno